<p align="center">
    <a href="https://gibbonedu.org/" target="_blank"><img width="200" src="https://gibbonedu.org/img/gibbon-logo.png"></a><br>
    Gibbon is a flexible, open source school management platform designed <br>
    to make life better for teachers, students, parents and schools.
</p>

------

Gibbon Core
===========
The Core repository represents the bulk of Gibbon, including all of its primary functionality. The core can be extended through the use of modules and themes, which are provided separately. See the [Extend](https://gibbonedu.org/extend/) page for more info.

Gibbon is open source, and maintained for the benefit of teachers, students, parents and schools.

## Documentation

For full documentation, visit [docs.gibbonedu.org](https://docs.gibbonedu.org/).

## Installation & Support

For installation instructions, visit [Getting Started: Installing Gibbon](https://docs.gibbonedu.org/administrators/getting-started/installing-gibbon/)

For support visit [ask.gibbonedu.org](https://ask.gibbonedu.org/) or see [our documentation](https://docs.gibbonedu.org/).

## Cutting Edge
If you want to run the latest version of Gibbon, prerelease, you can get the source from our [GitHub repository](https://github.com/GibbonEdu/core). Remember, though, it is not stable, and you may lose data. This is not for the faint of heart.

For installation instructions, visit [Getting Started: Installing Gibbon](https://docs.gibbonedu.org/administrators/getting-started/installing-gibbon/), and make sure to follow the additional instructions for [Cutting Edge Code](https://docs.gibbonedu.org/administrators/getting-started/installing-gibbon/cutting-edge-code/).

## Contributing

We welcome community contribution and aim to ensure Gibbon is an open and friendly environment. Information about contributing, submitting issues, and pull requests can be found in the following docs:

- [**Contributor Guide**](https://github.com/GibbonEdu/core/blob/master/.github/CONTRIBUTING.md) - Learn more about how you can contribute to Gibbon, from code to non-code contributions alike.

- [**Code of Conduct**](https://github.com/GibbonEdu/core/blob/master/.github/CODE_OF_CONDUCT.md) - Our pledge to foster a welcoming community and a positive environment for anyone to participate in.

- [**Developer Workflow**](https://docs.gibbonedu.org/developers/getting-started/developer-workflow/) - If you want to get involved in the development process, check out our workflow and [GitHub repository](https://github.com/GibbonEdu/core). Generally there will be a development branch with the latest code, as per our [Development Road Map](https://docs.gibbonedu.org/developers/getting-started/gibbon-road-map/).

## License

Gibbon is licensed under GNU General Public License v3.0. You can obtain a copy of the license [here](https://github.com/GibbonEdu/core/blob/master/LICENSE).
